dev_unicast_sync
Prev | Driver Support | Next

## Name

dev_unicast_sync — Synchronize device's unicast list to another device

## Synopsis

`int dev_unicast_sync (` | struct net_device * | to,
| struct net_device * | from`)`;

## Arguments

`to`

  destination device

`from`

  source device

## Description

Add newly added addresses to the destination device and release addresses that have no users left. The source device must be locked by netif_tx_lock_bh.

This function is intended to be called from the dev->set_rx_mode function of layered software devices.

Prev | Up | Next
dev_unicast_add | Home | dev_unicast_unsync